org.apache.avro.ipc

## Class Requestor.TransceiverCallback<T>

- java.lang.Object
- - org.apache.avro.ipc.Requestor.TransceiverCallback<T>

- All Implemented Interfaces:
    Callback<List<ByteBuffer>>
  Enclosing class:
    Requestor

      protected class Requestor.TransceiverCallback<T>
      extends Object
      implements Callback<List<ByteBuffer>>

  Handles callbacks from transceiver invocations.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransceiverCallback(org.apache.avro.ipc.Requestor.Request request, Callback<T> callback)` Creates a TransceiverCallback.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleError(Throwable error)` Receives an error.
    `void` | `handleResult(List<ByteBuffer> responseBytes)` Receives a callback result.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransceiverCallback

          public TransceiverCallback(org.apache.avro.ipc.Requestor.Request request,
                                     Callback<T> callback)

      Creates a TransceiverCallback.
      Parameters:
        `request` - the request to set.
        `callback` - the callback to set.

  - ### Method Detail

    - #### handleResult

          public void handleResult(List<ByteBuffer> responseBytes)

      Description copied from interface: `Callback`
      Receives a callback result.
      Specified by:
        `handleResult` in interface `Callback<List<ByteBuffer>>`
      Parameters:
        `responseBytes` - the result returned in the callback.

    - #### handleError

          public void handleError(Throwable error)

      Description copied from interface: `Callback`
      Receives an error.
      Specified by:
        `handleError` in interface `Callback<List<ByteBuffer>>`
      Parameters:
        `error` - the error returned in the callback.

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.